alert("probleme import_vehicule_vente");
<?php
exit();
require 'database.inc.php';
if(Test_User($lg_user,$lg_password)==TRUE)
{
 switch($Mode)
 {
  case 0:
  $ligne=Vehicule::getVehiculeByNoChassis($NoChasis);
  $err=0;
  if($ligne['Status']=='O' || $ligne['Status']=='DO' || $ligne['Status']=='N' || $ligne['Status']=='DN')
  {
    $NoArticle=$ligne['NoArticleVente'];
    if(empty($NoArticle))
    {
	  $NoArticle="VHC".$Type;
    }
    if($lignetest=Article::getArticleByNoArticle(addslashes($NoArticle)))
    {
	}
	else
	{
	  $err++;
	  echo "alert('No d\'article vente inexistant $NoArticle');\n";
	}
	if($ligne['TVA']==0)
	{
	  $err++;
	  echo "alert('TVA vente doit être différente de 0');\n";
	}
	if($ligne['PrixEntree']==0 && $ligne['Status']=='O')
	{
//	  $err++;
	  echo "if(!confirm('Le prix d entrée vaut 0 vendre quand même ?'))\n";
	  echo "{\n";
	  echo "  exit;\n";
	  echo "}\n";
	}
	if($err==0)
	{
	echo "var Prix=prompt('Prix de vente','".$ligne['PrixVente']."');\n";
	echo "if(Prix==null)\n";
	echo "{\n";
	echo "  exit;\n";
	echo "}\n";
    if($ligne['Status']=="O" || $ligne['Status']=="DO")
      echo "document.info.Texte_libre.value='Vente véhicule occasion';\n";
    else
      echo "document.info.Texte_libre.value='Vente véhicule neuf';\n";
	echo "add_new_text();\n";
	echo "document.info.Texte_libre.value='".$ligne['MarqueModel']." ".$ligne['Model']." ".$ligne['Couleur']."';\n";
	echo "add_new_text();\n";
	echo "document.info.Texte_libre.value='année ".substr($ligne['DateCircul'],0,4).", Km ".$ligne['Km']."';\n";
	echo "add_new_text();\n";
	echo "document.info.Texte_libre.value='no matricule ".Cree_Entree_Type('',17,0,$ligne['Matr'],AFFICHAGE).", no plaques ".$ligne['NoPlaque']."';\n";
	echo "add_new_text();\n";
    echo "document.info.NoArticle.value='" . addslashes($NoArticle) . "';\n";
    echo "document.info.Description.value='No châssis " . addslashes($ligne['NoChasis']) . "';\n";
	echo "document.info.Prix.value = Prix;\n";
	if((abs($ligne['TVA'])!=abs($ligne['TVAAchat']))&&($ligne['Status']=='O'))
	{
	  echo "var PrixEntree=".$ligne['PrixEntree'].";\n";
	  echo "document.info.TVA.value = '0';\n";
	}
	else
	{
	  echo "document.info.TVA.value = '" . $ligne['TVA']  . "';\n";
    }
	if($ligne2=Article::getArticleByNoArticle(addslashes($NoArticle)))
	{
	  echo "document.info.GM.value = '".$ligne2['GroupeMarchandise']."';\n";
	}
	else
	{
	  echo "document.info.GM.value = '0';\n";
	}
	echo "document.info.Rabais.value = '0.00';\n";
	echo "document.info.Quantite.value = '1.00';\n";
	echo "add_new(false);\n";
	echo "var garantie='00.00.0000';\n";
	if((abs($ligne['TVA'])!=abs($ligne['TVAAchat']))&&($ligne['Status']=='O'))
	{
	  echo "if((Prix-PrixEntree)>0)\n";
	  echo "{\n";
      echo "document.info.NoArticle.value='" . addslashes($ligne['NoArticleVente']) . "';\n";
      echo "document.info.Description.value='No chasis " . addslashes($ligne['NoChasis']) . "';\n";
	  echo "document.info.Prix.value = Prix-PrixEntree;\n";
	  echo "document.info.TVA.value = '" . $ligne['TVA']  . "';\n";
	  echo "document.info.GM.value = '0';\n";
	  echo "document.info.Rabais.value = '0.00';\n";
	  echo "document.info.Quantite.value = '1.00';\n";
	  echo "add_new_tva();\n";
	  echo "}\n";
	}
	if($Type=="O")
	{
	  echo "window.focus();\n";
	  echo "if(confirm('Garantie'))\n";
	  echo "{\n";
	  echo "garantie=prompt('Garantie jusqu\'au','".date('d.m.Y',mktime (0,0,0,date("m")+3  ,date("d"),date("Y")))."');\n";
	  echo "if(garantie==null)\n";
	  echo "{\n";
	  echo "  exit;\n";
	  echo "}\n";
	  echo "document.info.Texte_libre.value='Garantie jusqu\'au '+garantie;\n";
	  echo "add_new_text();\n";
	  echo "}\n";
	}
	if($Devis==1)
	{
	}
	else
	{
      echo "commande_ajax_javascript('import_vhc_vente.php?Mode=1&NoCommande=$NoCommande&NoChasis=$NoChasis&Type=$Type&NoClient=$NoClient&NoClient2=$NoClient2&Prix='+Prix+'&Garantie='+garantie);\n";
    }
    }
    else
    {
	}
  }
  break;
  case 1:
    $requette="UPDATE vehicules SET Status='C', PrixActuel='$Prix', DateVente='".date("Y-m-d")."', Client=$NoClient, Leasing=$NoClient2, DateGarantie='".substr($Garantie,6,4)."-".substr($Garantie,3,2)."-".substr($Garantie,0,2)."', NoFacture=$NoCommande WHERE NoChasis='$NoChasis'";
	Connection::executeRawQuery($requette);
    $requette="UPDATE commande".ID_GARAGE." SET Vehicule='$NoChasis' WHERE NoCommande='$NoCommande'";
	Connection::executeRawQuery($requette);
  break;
 }
}
?>
